# base
Common utilities and interface parser for the pluggable CLIs

## Information
|  Name |  @bb-cli/base |
|--|--|
|  Version |  2.1.2 |
|  Private |  false |
|  Status |  [![Build Status](N/A/badge/icon)](N/A) |

## Usage

- Install library

```bash
npm install @bb-cli/base -SE
```
## [Api Reference](./docs)
## Dependencies

- ansi-styles ^2.2.1
- cli-table ^0.3.1
- colors ^1.1.2
- commander ^2.9.0
- gauge ^2.6.0
- inquirer ^1.1.2
- lodash ^4.14.0
- markdown-it ^7.0.0
- markdown-it-terminal 0.0.3
- npmlog ^4.0.0
- shelljs ^0.7.3
- semver ^5.3.0

## References

- [@BB-CLI on Page Confluence](https://backbase.atlassian.net/wiki/display/SDK/@BB-CLI)
- [JIRA ticket](https://backbase.atlassian.net/browse/SDK-46)

## Development
```bash
cd base
npm link
```
### Development Dependencies
